Bug 172730 - via epia chipset hangs with longhaul code
via epia chipset hangs with longhaul code
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brian Maly
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-08 14:41 EST by hanscees speel
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 19:57:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description hanscees speel 2005-11-08 14:41:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:

sorry for the lack of precision in this report: I am just a non-coder trying to get my system stable.

I am using sme7 beta (www.contribs.org), which uses centos4 under the hood.

on certain via -epia mini-itx chipssets the system freezes quite randomly.
People report that this behaviour has to do with :
- turn off powersaved. (chkconfig powersaved off)
-  All 2.6 kernels are stable as long as powersaved is turned off and the longhaul module is not loaded


Is this code active in the kernel I am using:
I see no /proc/longhaul dir.

If it is included in that and centos 4.2 kernel, is it possible that you produce a kernel version with this code disabled, or only compiled in as a module, so that via users can have a stable system? 

See for more information on the bugs the via arena linux forums at:

Please let me know if you need more information.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.I just run my server, which has a busy website and about once a week it hangs.
This is very random.

Actual Results:  The system hangs. The keyboard does not give repons, there is no repons to ping. 
The harddisk that usually makes some small sounds all the time stops doing that.
The lights and leds of the system are normally on, there has been no reboot. Nothing is in the mesasages files about it. I can see in my RRD's that nothing special happened before a lock-up. RRD's go blank by the way.

Additional info:

I have a via epia pd with cpu 600mhz fanless.
dmesg sais:
00:00.0 Host bridge: VIA Technologies, Inc. VT8623 [Apollo CLE266]
00:01.0 PCI bridge: VIA Technologies, Inc. VT8633 [Apollo Pro266 AGP]
00:0f.0 Ethernet controller: VIA Technologies, Inc. VT6105 [Rhine-III]
(rev 8b)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev
Comment 1 hanscees speel 2005-11-08 15:01:24 EST
some more info:

[root@mail cpufreq]# pwd
[root@mail cpufreq]# ls -all
total 0
drwxr-xr-x  2 root root    0 Nov  8 20:51 .
drwxr-xr-x  3 root root    0 Nov  4 23:52 ..
-r--------  1 root root 4096 Nov  8 20:51 cpuinfo_cur_freq
-r--r--r--  1 root root 4096 Nov  8 20:51 cpuinfo_max_freq
-r--r--r--  1 root root 4096 Nov  8 20:51 cpuinfo_min_freq
-r--r--r--  1 root root 4096 Nov  8 20:51 scaling_available_frequencies
-r--r--r--  1 root root 4096 Nov  8 20:51 scaling_available_governors
-r--r--r--  1 root root 4096 Nov  8 20:51 scaling_cur_freq
-r--r--r--  1 root root 4096 Nov  8 20:51 scaling_driver
-rw-r--r--  1 root root 4096 Nov  8 20:51 scaling_governor
-rw-r--r--  1 root root 4096 Nov  8 20:51 scaling_max_freq
-rw-r--r--  1 root root 4096 Nov  8 20:51 scaling_min_freq
-rw-r--r--  1 root root    0 Nov  8 20:50 scaling_setspeed

[root@mail cpufreq]# cat /proc/cpuinfo
processor       : 0
vendor_id       : CentaurHauls
cpu family      : 6
model           : 7
model name      : VIA Samuel 2
stepping        : 3
cpu MHz         : 401.367
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu de tsc msr cx8 mtrr pge mmx 3dnow
bogomips        : 789.82

Here is some talk about possible fixes:

it should be in here:

But i have no idea if that really applies.

Comment 3 Brian Maly 2006-09-12 15:02:37 EDT
This appears to be a duplicate of Bug 186074.
Comment 5 RHEL Product and Program Management 2006-10-11 11:17:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 6 Jay Turner 2006-10-17 11:38:44 EDT
QE ack for 4.5.
Comment 7 Jason Baron 2006-12-14 21:33:46 EST
committed in stream U5 build 42.32. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 9 Mike Gahagan 2007-04-03 17:22:24 EDT
Verified that Longhaul support has been removed from the -52 kernel.
Comment 11 Red Hat Bugzilla 2007-05-01 19:57:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.